classification
Title: Improve Doc/library/xmlrpc.client.rst
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, effbot, python-dev, serhiy.storchaka, terry.reedy
Priority: normal Keywords: patch

Created on 2016-04-29 21:39 by serhiy.storchaka, last changed 2016-05-07 07:07 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
docs_xmlrpc_client.patch serhiy.storchaka, 2016-04-29 21:39 review
docs_xmlrpc_client_2.patch serhiy.storchaka, 2016-05-06 19:46 review
Messages (7)
msg264524 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-04-29 21:39
Proposed patch makes minor improvements of Doc/library/xmlrpc.client.rst.
msg265006 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2016-05-06 18:43
This is my first reading of this doc.  The formatting improvements look good.  A definite enhancement.

Review contains a few comments.  My main difficulty is separating creation of a proxy instance from use of a proxy instance.  Some of the creation parameters govern the use, and hence do not make must sense until one reads the instance description a few paragraphs further on.  
Perhaps the initial sentence "A :class:`ServerProxy` instance is an object that manages communication with aremote XML-RPC server." should be expanded into a paragraph with some of the description given later.
msg265013 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-05-06 19:46
Thank you for your review Terry. Updated patch addresses most of your comments. But I'm unable to expand ServerProxy description as you suggest. May you can do this? My purpose was modest. Just fix some incorrect and outdated sentences. Then I fixed some formatting. I was not going and is not able to do anything besides this. I will take all that you offer.
msg265039 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2016-05-06 22:26
The corrected link works.  I agree with deleting a bad sentence if you cannot fix it.  I think you can go ahead and apply as is.
msg265041 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-05-07 05:45
New changeset 04250fc723e6 by Serhiy Storchaka in branch '3.5':
Issue #26889: Tweaked xmlrpc.client documentation.
https://hg.python.org/cpython/rev/04250fc723e6

New changeset 9bdec549bad3 by Serhiy Storchaka in branch 'default':
Issue #26889: Tweaked xmlrpc.client documentation.
https://hg.python.org/cpython/rev/9bdec549bad3

New changeset fb5bd513751f by Serhiy Storchaka in branch '2.7':
Issue #26889: Tweaked xmlrpclib documentation.
https://hg.python.org/cpython/rev/fb5bd513751f
msg265042 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-05-07 05:46
Thank you Terry.
msg265043 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-05-07 07:07
New changeset 52924d962027 by Serhiy Storchaka in branch '3.5':
Issue #26889: Fixed hyperlinks formatting.
https://hg.python.org/cpython/rev/52924d962027

New changeset ea9d69a4d0fe by Serhiy Storchaka in branch 'default':
Issue #26889: Fixed hyperlinks formatting.
https://hg.python.org/cpython/rev/ea9d69a4d0fe

New changeset 29a927c524cb by Serhiy Storchaka in branch '2.7':
Issue #26889: Fixed hyperlinks formatting.
https://hg.python.org/cpython/rev/29a927c524cb
History
Date User Action Args
2016-05-07 07:07:28python-devsetmessages: + msg265043
2016-05-07 05:46:29serhiy.storchakasetstatus: open -> closed
versions: + Python 2.7
messages: + msg265042

resolution: fixed
stage: patch review -> resolved
2016-05-07 05:45:36python-devsetnosy: + python-dev
messages: + msg265041
2016-05-06 22:26:39terry.reedysetmessages: + msg265039
2016-05-06 19:46:52serhiy.storchakasetfiles: + docs_xmlrpc_client_2.patch

messages: + msg265013
2016-05-06 18:43:09terry.reedysetnosy: + terry.reedy
messages: + msg265006
2016-04-29 21:39:27serhiy.storchakasetassignee: docs@python

components: + Documentation, - Extension Modules
nosy: + docs@python
2016-04-29 21:39:15serhiy.storchakacreate